net.minecraftforge.client

## Class ForgeHooksClient

- java.lang.Object
- - net.minecraftforge.client.ForgeHooksClient

-     public class ForgeHooksClient
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForgeHooksClient()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `createDisplay()`
    `static void` | `dispatchRenderLast(RenderGlobal context, float partialTicks)`
    `static java.lang.String` | `fixDomain(java.lang.String base, java.lang.String complex)`
    `static ModelBiped` | `getArmorModel(EntityLivingBase entityLiving, ItemStack itemStack, int slotID, ModelBiped _default)`
    `static java.lang.String` | `getArmorTexture(Entity entity, ItemStack armor, java.lang.String _default, int slot, java.lang.String type)`
    `static float` | `getOffsetFOV(EntityPlayerSP entity, float fov)`
    `static int` | `getSkyBlendColour(World world, int playerX, int playerY, int playerZ)`
    `static int` | `getWorldRenderPass()`
    `static boolean` | `onDrawBlockHighlight(RenderGlobal context, EntityPlayer player, MovingObjectPosition target, int subID, ItemStack currentItem, float partialTicks)`
    `static void` | `onPostRenderWorld(WorldRenderer worldRenderer, int pass)`
    `static void` | `onPreRenderWorld(WorldRenderer worldRenderer, int pass)`
    `static void` | `onTextureLoadPre(java.lang.String texture)` This is added for Optifine's convenience.
    `static void` | `onTextureStitchedPost(TextureMap map)`
    `static void` | `onTextureStitchedPre(TextureMap map)`
    `static void` | `orientBedCamera(Minecraft mc, EntityLivingBase entity)`
    `static ISound` | `playSound(SoundManager manager, ISound sound)`
    `static boolean` | `postMouseEvent()`
    `static void` | `renderEffectOverlay(TextureManager manager, RenderItem render)`
    `static boolean` | `renderEntityItem(EntityItem entity, ItemStack item, float bobing, float rotation, java.util.Random random, TextureManager engine, RenderBlocks renderBlocks, int count)`
    `static void` | `renderEquippedItem(IItemRenderer.ItemRenderType type, IItemRenderer customRenderer, RenderBlocks renderBlocks, EntityLivingBase entity, ItemStack item)`
    `static boolean` | `renderFirstPersonHand(RenderGlobal context, float partialTicks, int renderPass)`
    `static boolean` | `renderInventoryItem(RenderBlocks renderBlocks, TextureManager engine, ItemStack item, boolean inColor, float zLevel, float x, float y)`
    `static void` | `renderMainMenu(GuiMainMenu gui, FontRenderer font, int width, int height)`
    `static void` | `setRenderPass(int pass)`
    `static void` | `setWorldRendererRB(RenderBlocks renderBlocks)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForgeHooksClient

          public ForgeHooksClient()

  - ### Method Detail

    - #### getArmorTexture

          public static java.lang.String getArmorTexture(Entity entity,
                                         ItemStack armor,
                                         java.lang.String _default,
                                         int slot,
                                         java.lang.String type)

    - #### renderEntityItem

          public static boolean renderEntityItem(EntityItem entity,
                                 ItemStack item,
                                 float bobing,
                                 float rotation,
                                 java.util.Random random,
                                 TextureManager engine,
                                 RenderBlocks renderBlocks,
                                 int count)

    - #### renderInventoryItem

          public static boolean renderInventoryItem(RenderBlocks renderBlocks,
                                    TextureManager engine,
                                    ItemStack item,
                                    boolean inColor,
                                    float zLevel,
                                    float x,
                                    float y)

    - #### renderEffectOverlay

          public static void renderEffectOverlay(TextureManager manager,
                                 RenderItem render)

    - #### renderEquippedItem

          public static void renderEquippedItem(IItemRenderer.ItemRenderType type,
                                IItemRenderer customRenderer,
                                RenderBlocks renderBlocks,
                                EntityLivingBase entity,
                                ItemStack item)

    - #### orientBedCamera

          public static void orientBedCamera(Minecraft mc,
                             EntityLivingBase entity)

    - #### onDrawBlockHighlight

          public static boolean onDrawBlockHighlight(RenderGlobal context,
                                     EntityPlayer player,
                                     MovingObjectPosition target,
                                     int subID,
                                     ItemStack currentItem,
                                     float partialTicks)

    - #### dispatchRenderLast

          public static void dispatchRenderLast(RenderGlobal context,
                                float partialTicks)

    - #### renderFirstPersonHand

          public static boolean renderFirstPersonHand(RenderGlobal context,
                                      float partialTicks,
                                      int renderPass)

    - #### onTextureStitchedPre

          public static void onTextureStitchedPre(TextureMap map)

    - #### onTextureStitchedPost

          public static void onTextureStitchedPost(TextureMap map)

    - #### onTextureLoadPre

          public static void onTextureLoadPre(java.lang.String texture)

      This is added for Optifine's convenience. And to explode if a ModMaker is developing.
      Parameters:
        `texture` -

    - #### setRenderPass

          public static void setRenderPass(int pass)

    - #### getArmorModel

          public static ModelBiped getArmorModel(EntityLivingBase entityLiving,
                                 ItemStack itemStack,
                                 int slotID,
                                 ModelBiped _default)

    - #### createDisplay

          public static void createDisplay()
                                    throws org.lwjgl.LWJGLException

      Throws:
        `org.lwjgl.LWJGLException`

    - #### fixDomain

          public static java.lang.String fixDomain(java.lang.String base,
                                   java.lang.String complex)

    - #### postMouseEvent

          public static boolean postMouseEvent()

    - #### getOffsetFOV

          public static float getOffsetFOV(EntityPlayerSP entity,
                           float fov)

    - #### getSkyBlendColour

          public static int getSkyBlendColour(World world,
                              int playerX,
                              int playerY,
                              int playerZ)

    - #### renderMainMenu

          public static void renderMainMenu(GuiMainMenu gui,
                            FontRenderer font,
                            int width,
                            int height)

    - #### playSound

          public static ISound playSound(SoundManager manager,
                         ISound sound)

    - #### getWorldRenderPass

          public static int getWorldRenderPass()

    - #### setWorldRendererRB

          public static void setWorldRendererRB(RenderBlocks renderBlocks)

    - #### onPreRenderWorld

          public static void onPreRenderWorld(WorldRenderer worldRenderer,
                              int pass)

    - #### onPostRenderWorld

          public static void onPostRenderWorld(WorldRenderer worldRenderer,
                               int pass)